Subject: Re: [PATCH 10/14] rust: add a build.rs script for tests

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Oct 2025 06:54:46 -0700

Patrick Steinhardt <[email-masked]> writes:

> The question I have here is what the benefit would be to have separate
> libraries.

Mostly flexibility.  If we do not value it, then that is OK, though.

And personally I would have to say that "meson rolled everything
into a single library archive" is a bad excuse---whatever came later
doing things differently from the incumbent has to have a good reason
to do things differently, or it is a regression.